package com.ruoyi.flowable.oa;

import org.flowable.engine.ProcessEngine;
import org.flowable.engine.ProcessEngines;
import org.flowable.engine.RuntimeService;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.JavaDelegate;
import org.flowable.engine.task.Comment;

import java.util.Map;

public class MyServiceTask implements JavaDelegate {
    @Override
    public void execute(DelegateExecution execution) {
        ProcessEngine processEngine = ProcessEngines.getDefaultProcessEngine();
        RuntimeService runtimeService = processEngine.getRuntimeService();
        Map<String,Object> variables = runtimeService.getVariables(execution.getId());
        String processInstance = execution.getProcessInstanceId();
        for (Comment comment: processEngine.getTaskService().getProcessInstanceComments(processInstance))
            System.out.println(comment.getFullMessage());
        System.out.println("========MyServiceTask==========");
        System.out.println(variables);
        System.out.println(processInstance);
    }
}
